* {
  margin: 0;
  padding: 0;
  font-family: 'Lucida Grande', sans-serif;
  font-size: 15px;
  -webkit-tap-highlight-color: transparent;
  user-select: none; /* Prevent selecting ui text when dragging */
}

body{
  background:
  radial-gradient(
    circle at center,
    #450000 0%,
    #250000 25%,
    #120000 50%,
    #050505 80%,
    #000000 100%
  );

  min-height:100vh;
  overflow-x:hidden;
}
.wrapper {
  width: 90%; /* Use a percentage width for responsiveness */
  max-width: 1366px; /* Prevent it from being too wide on large screens */
  height: 90vh; /* Maintain a centered position */
  display: flex;
  align-items: center;
  justify-content: center;
}

.pointer {
  position: absolute;
  top: 50%;
  left: 95%; /* Move to the right */
  transform: translate(-50%, -50%) rotate(270deg); /* Adjust rotation */
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-bottom: 60px solid red; /* Pointer color */
  z-index: 1; /* Keep above the wheel */
  pointer-events: none;
}


.wheel-wrapper {
  height: 100%;
  width: 100%;
  rotate: 90deg;
  animation: wheelGlow 1.5s infinite;
}

@keyframes wheelGlow{
    0%{
        filter:drop-shadow(0 0 5px #ff0000);
    }
    50%{
        filter:drop-shadow(0 0 30px #ffcc00);
    }
    100%{
        filter:drop-shadow(0 0 5px #ff0000);
    }
}

.gui-wrapper {
  padding: 10px;
  background-color: #f3f3f3;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

select {
  padding: 2px;
  cursor: pointer;
}

label {
  margin-right: 5px;
}

button {
  padding: 10px 20px;
  cursor: pointer;
  margin-right: 10px;
}

input[type="radio"],
label[for] {
  cursor: pointer;
  padding-left: 5px;
}

input[type="radio"] {
  margin-left: 5px;
}

.wheel-mask {
    position: absolute;
    transform: scale(1.25);
    transform-origin: center;
    pointer-events: none;
    inset: 0;
}

.wheel-wrapper{
    animation: wheelGlow 1.5s infinite;
}

@keyframes wheelGlow{
    0%{
        filter:drop-shadow(0 0 5px #ff0000);
    }

    50%{
        filter:drop-shadow(0 0 30px #ffcc00);
    }

    100%{
        filter:drop-shadow(0 0 5px #ff0000);
    }
}

@media (max-width: 768px){

  .container{
    flex-direction:column;
    align-items:center;
    justify-content:center;
    gap:20px;
  }

  .wheel-wrapper{
    scale:.65;
  }

  #loginbox{
    width:90% !important;
    max-width:350px;
    margin-top:-50px;
  }

  #spinbtns{
    width:90% !important;
    max-width:350px;
  }

}